AutoCAD 2010 :: Lisp Routine To Change Company Logos
Apr 17, 2012We are trying to update our company logo on hundreds of autocad drawings, lisp routine or a better way to get this update.
View 5 RepliesWe are trying to update our company logo on hundreds of autocad drawings, lisp routine or a better way to get this update.
View 5 RepliesWe are trying to update our company logo on hundreds of autocad drawings, any lisp routine or a better way to get this updated. We are trying to update our title blocks that have company logo in it and want to change the logos to the new one.
View 1 Replies View Relatedoutlining company logos so that i can create dxf files that i can then cut out of metal on our lazer.
View 5 Replies View RelatedI have a lisp routine and I keep getting NIL. I want it to draw a door and I want to be able to move it.
(defun c:door ()
(DEFUN dtr (A)
(* PI (/ A 180.0)))
(setvar "CMDECHO" 0)
(DEFUN INFO ()
(setvar "OSMODE" 0)
[code]....
I put mleader into a LISP routine and it is doing the text attached to it only in the command line instead of in the drawing is ther a way to put mleader into a LISP routine and have it do the same as when you just type in mleader?
View 2 Replies View RelatedI am using a fairly old Lisp to generate section arrows, started using this in 2000 and up until 2011. Since we have installed 2012 the routine does not work correctly, after inserting block with attributes instead of bringing up dialogue box it inserts next line of string in to the dialogue box. I have attached lisp routine and blocks
View 6 Replies View RelatedI'm looking for a lisp routine that allow me to select a text object that is rotated to anything other than zero, and it will change the text object to zero rotation and while still in the command allow me to place the text object on the screen.
I have a routine that is similiar called RT180 but it just rotates whatever text object you select 180 degrees from its current rotation, but I can not figure out how to modify it to rotate to zero rotation angle. What I like about RT180 is that you select your text it rotates it on the spot and then lets you pick a spot to place it.
I am looking for a lisp routine to search the layer table to find a particular layer color and change color.
View 9 Replies View RelatedIs it possible to change the system variable "TEXTSIZE" with an autolisp routine? I have hundreds of drawings that have varying textsize settingings and I can't get it to let me change it, unless I go into "Style" and manually change the value to "0" before I run the routine, and there are simply too may drawings to do that everytime. So, is there a way to reset the textsize to 0 through Lisp?
View 5 Replies View RelatedI have 2000+ drawings that have either the layer state "LMAN_DWF" or "DWF". I want all of them to read "DWF" for scripting purposes. LSIP routine that will go into a drawing and change rename a layerstate if it is named incorreclty, but do nothing if it is named correctly?
Does Layer State "DWF" exist?
If Yes, skip file and move on to next file
If No, does Layer State "LMAN_DWF" exist?
if Yes Rename Layer State to "DWF"
If No, skip file and move to next file.
Or a LSIP routine that can simply dump a list of all drawings in a directory that contain "LMAN_DWF" as a layer state. I could then use that list to do a simple script to change the layer state names on those specific files.
Creating either a Lisp or a script to change the pen weights of two layer in autocad 2011?
View 9 Replies View RelatedI have a user who crashed and all the layers were renamed with the prefix to:
9669-pbase|
He needs to strip out all the "9669-pbase|" prefixes in 1,000 layers. Is there a way to do this?
I'm trying to write a lisp routine that, when I invoke the mleader command, osmode is set to "nearest" & orthomode is set off. I then would like the original settings to be returned.
attached is what I have written so far:-
We are moving from AutoCAD Map 3d ver 10 to ver 11. There's a lisp routine I use all the time and it doesn't seem to want to work in the newer version 11. this routine is supposed to fill but like I said doesn't work in ver. 11.
View 1 Replies View RelatedWe have just finished modelling hundreds of pits/manholes in 3d, to import into 12d as required by our current project.
After importing into 12d we have realised that all the faces are back to front as the dark edges are facing outwards, and the light edges are facing inwards on the pits.
Is there a way to globally flip, or perhaps a lisp routine to flip all the faces?
Basically, the routine asks for the user to choose the hatch type (Retirer/Percer), then the layer (Defpoints/Select/Current) and finaly the type of the object to draw (Polyline/Rectangle). My original routine has also a Circle and a Boundary options, and an Error trap to reset the variables but I will keep it simple for the purpose of my issue.
So, my issue is: when I choose the type of object to draw, it draws just one of it and the routine ends. I would like to have something that "says" to the routine that I want to keep drawing that object (Polyline or Rectangle) and putting the hacth inside until I do enter and then the routine goes to its end.
Lisp routine for creating item balls with an arrowhead and a one to two digit number in the balloon?
View 7 Replies View RelatedI have created an acad.lsp file in where I want to arrange all our company settings. I've stored it on the network to make sure everyone will use the same one and when updates take place I don't have to run past all pc's to change it. I've set everything in the deployment package but users can still change it when they reset their profile. Plus some pc's are already installed with AutoCAD before creating the lisp routine, how can I enforce the support directory to check on the network for the acad.lsp each time?
View 9 Replies View Relatedwith the mouse I can select objects on the screen and then start a command that uses these objects.
How can I perform this in lisp?
I can create my selection set, that's no problem, but how can I 'make it active' for an external function?
(ssget "_C" p0 p1 '((0 . "TEXT")))
???
(c:txtexp)
Easy way (or LISP routine) to do radial line hatching in AutoCAD 2006. What I mean is the ability to hatch an object, such as a ring (or doughnut) such that the hatching lines are in between the two rings, and are all perpendicular to the circle. Even better would be a generic routine to allow hatch lines to follow arcs (but that would be dreaming too big for now). Perhaps there is some sort of sweep technique that could be exploded into lines? All I need are the lines, actually.
View 2 Replies View RelatedI have got points from a GIS software into AutoCAD, the problem is that I am unable to draw a polyline between the points to get a distance between the points. Anu lisp routine which can convert the points to make them selectable. I have attached the drawing I am working on for those of you who want to have a go at this one.
View 3 Replies View RelatedI want autolisp program to check overlap like in closed or open polyline with any other entity in the drawing, whether other entity is overlapping inside the polyline or not, i am beginner in autolisp and want to know exactly which functions are used or the program itself Also if possible to check circular overlap of one polyline with itself.
View 1 Replies View RelatedLISP routine for rotating lines so that text in linetypes always reads from left to right?
I use the QUERY command to create basemaps and often the lines that are imported read upside down or backwards or however you prefer to look at it. Most often, if I look at the XY coords of these backwards lines, the End X coordinate is of a higher value than the Start X coordinate.
Looking for something that would compare the two X coordinates of a line, do some sort of an IF Start X > End X, and if its true, store the XYZ coords of the Start and End in some variable, and swap them.
I am looking for a routine that will replace all blocks named "DgnMisc_nodepoleind" with a block named "DgnMisc_nodepoleind2" keeping the insertion point. I could use (command "-insert" "DgnMisc_nodepoleind=Y:/ACAD2007/DA settings/Library_new_scale1/DgnMisc_nodepoleind2.dwg" NIL ) but my problem is that the block I want to replace is used on two different layers and I only want to replace the ones on layer "TPSYM01".
View 3 Replies View RelatedI found a lisp routine on the internet to change page setups on multiple layouts. The lisp worked but on some of the layouts it moved the viewport off the paper background (see attached). The layouts print fine but the only way to get the viewport back on to the background is to open the page setup and click modify, then ok and close. I tested this on a .dwg that I had saved to my computer rather than on one in the main folder but I would like to do this to to all are maps since our IT decided to rename our printer and now all pages setups are no good.All I know about lisp is how to run one.
;; Copy current layout page setup to all layout tabs
(vl-load-com)
(defun c:CPS (/ Adoc Layts clyt)
(setq aDoc (vla-get-activedocument (vlax-get-acad-object))
Layts (vla-get-layouts aDoc)
clyt (vla-get-activelayout aDoc)
)
(foreach
itm
(vl-remove (vla-get-name clyt) (layoutlist))
(vla-copyfrom (vla-item Layts itm) clyt)
)
(princ)
)
I have a lisp routine:
(defun getLayout (pos / result cLayout layouts^ i len)
; pos = -1 return previuous layout name
; pos = 0 return current layout name
; pos = 1 return next layout name
(cond
((zerop pos)
(setq result (getvar "ctab"))
); case
[code]...
which basically returns either the current, previous or next tab name depending on what you call up. Any way to link this lisp to a field? I am doing some plan and profile drawings which contain match lines I would like to have the match line text automated. For example if I'm on layout called PP02 there would be two match lines in the drawing one would read MATCH LINE PP01 and the other would read MATCH LINE PP03 this lisp routine returns the correct variable but how do I loink this to a fiels?
I cannot get my lisp routine to run when I batch plot in AutoCAD 2014. It's loaded into the startup suite and runs when I open the individual drawings but not during a batch plot. How can I get this to run during a batch plot?
View 9 Replies View RelatedLISP routine that can create multiple paper space layout tabs and can name them incrementally.
View 4 Replies View RelatedI don't do a lot of programming and when I do it is mostly with older lisp commands. I have routine that works in 2010 but we are switching to 2013 and it doesn't work. The routine assigns the area of a polyline to a field. The portion of the routine that isn't working is where it assigns the object id for the polyline. Here is that portion of the routine:
;; select an object
(if (setq ent (entsel))
(progn
(setq ent (car ent))
;; Check to see if object selected is a polyline
(if (= (cdr (assoc 0 (entget ent))) "LWPOLYLINE")
(progn
;; obtain the object id from the selected entity
(setq objID (vla-get-objectid (vlax-ename->vla-object ent)))
Any lisp routine that will remove "phantom parcels" in a drawing? They are the parcels many topics on this discussion forum have topics on, that can be selected but can't be deleted by any simple means.
The drawing is relatively new...with minimal objects in it. Just some Feature Lines and 3D Polylines. I have Sites in my drawing...but no parcels. Only thing in the sites are the feature lines. When I do a Q SELECT for the parcels it selects and highlights my feature lines, which is weird.
I have created a lisp routine that I would like to share with other CAD users, but it doesn't work on the server, and it works fine on my machine. Does "findfile" function work on a server environment?
View 4 Replies View Related